org.apache.ignite.internal.processors.cache.persistence.file

## Class EncryptedFileIOFactory

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.file.EncryptedFileIOFactory

All Implemented Interfaces:
  Serializable, FileIOFactory

    public class EncryptedFileIOFactory
    extends Object
    implements FileIOFactory

Factory to produce `EncryptedFileIO`.

See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`FileIO` `create(File file)` Creates I/O interface for file with default I/O mode.
`FileIO` `create(File file, OpenOption... modes)` Creates I/O interface for file with specified mode.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### create

    public FileIO create(File file)
                  throws IOException

Creates I/O interface for file with default I/O mode.

Specified by:
  `create` in interface `FileIOFactory`
Parameters:
  `file` - File.
Returns:
  File I/O interface.
Throws:
  `IOException` - If I/O interface creation was failed.

#### create

    public FileIO create(File file,
                         OpenOption... modes)
                  throws IOException

Creates I/O interface for file with specified mode.

Specified by:
  `create` in interface `FileIOFactory`
Parameters:
  `file` - File
  `modes` - Open modes.
Returns:
  File I/O interface.
Throws:
  `IOException` - If I/O interface creation was failed.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019